Bug 510736 - Review Request: pycdio - A Python interface to the CD Input and Control library
Review Request: pycdio - A Python interface to the CD Input and Control library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 10:16 EDT by Jay Greguske
Modified: 2009-08-18 17:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.15-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-17 20:25:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jay Greguske 2009-07-10 10:16:25 EDT
Spec URL: http://people.redhat.com/~jgregusk/pycdio/pycdio.spec
SRPM URL: http://people.redhat.com/~jgregusk/pycdio/pycdio-0.13-1.fc10.src.rpm

Description:
The pycdio (and libcdio) libraries encapsulate CD-ROM reading and
control. Python programs wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Please note that this is my first Fedora package, so I am seeking a sponsor as well. Thanks in advance!
Comment 1 Jay Greguske 2009-07-10 10:20:17 EDT
Additionally, there is an rpmlint issue I could use some advice on:

rpmlint ../RPMS/x86_64/pycdio-0.13-1.fc10.x86_64.rpm 
pycdio.x86_64: E: non-executable-script /usr/lib64/python2.5/site-packages/cdio.py 0644
pycdio.x86_64: E: non-executable-script /usr/lib64/python2.5/site-packages/iso9660.py 0644
1 packages and 0 specfiles checked; 2 errors, 0 warnings.

If I change the permissions to be executable, it complains about lacking a she-bang instead, but these are Python modules. Is it ok to ignore this?
Comment 2 Fabian Affolter 2009-07-16 04:23:00 EDT
0.15 was released a while ago.  Are there any issues that not the latest release is going to be included in Fedora?
Comment 3 Jay Greguske 2009-07-21 15:12:06 EDT
(Sorry for a long-coming answer)

I gave 0.15 a shot and it seems to work just fine. Originally I was only interested in 0.13 because it required libcdio.so.7 which is what is available on a RHEL-5 based system. My initial goal was to get this package into EPEL which is why I was going with an older version, but since rebuilding 0.15 appears to work everywhere, I've updated the spec file and src rpm to 0.15 for your review.

Spec URL: http://people.redhat.com/~jgregusk/pycdio/pycdio.spec
SRPM URL: http://people.redhat.com/~jgregusk/pycdio/pycdio-0.15-1.fc10.src.rpm
Comment 4 Fabian Affolter 2009-07-25 17:46:33 EDT
Are you still looking for a sponsor.  If yes, then you should add a FE-NEEDSPONSOR as a blocker.  I'm not sure if RH employees have to follow the way as Fedora contributor [1].  My suggestion is that you should make some informal reviews of other packages to be come familiar with the Fedora Packaging Guidelines.   

[1] https://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
Comment 5 Fabian Affolter 2009-07-25 18:04:24 EDT
The rpmlint output:

[fab@laptop09 i586]$ rpmlint pycdio*
pycdio.i586: E: non-executable-script /usr/lib/python2.6/site-packages/iso9660.py 0644 /usr/bin/python
pycdio.i586: E: non-executable-script /usr/lib/python2.6/site-packages/cdio.py 0644 /usr/bin/python
2 packages and 0 specfiles checked; 2 errors, 0 warnings.

At least cdio.py and iso9660.py says GPLv3+.
Comment 6 Jason Tibbitts 2009-07-27 14:11:26 EDT
Red Hat employees have no special procedures with respect to sponsorship; they need to find a sponsor from the same group as everyone else.  Of course, they may simply be able to walk over and talk to a sponsor if they happen to be in the the right office, but that's no different than someone could do if they happened to be in the same general pyhsical location as, say, me.

Red Hat employees do sign a different CLA than most other contributors, but as far as I know that is the only real difference.
Comment 7 Jay Greguske 2009-07-28 15:19:59 EDT
Thanks for the comments everyone. I've built another release with a patch that removes the she-bangs in the python modules (cdio.py and iso9660.py) and corrects the license field in the spec file. The patch was emailed (on libcdio-pycdio-devel@gnu.org) and accepted upstream this afternoon. I successfully built this SRPM in Koji and rpmlint does not have any errors or warnings.

They can be found at:
http://people.redhat.com/~jgregusk/pycdio/pycdio.spec
http://people.redhat.com/~jgregusk/pycdio/pycdio-0.15-3.fc10.src.rpm
Comment 8 Dennis Gilmore 2009-07-28 16:22:33 EDT
sources match upstream

0f7a0f8f0bda987b01dd3233d5ab936bcb478aafe88900f40e46d58514ecb5e3  pycdio-0.15.tar.gz
0f7a0f8f0bda987b01dd3233d5ab936bcb478aafe88900f40e46d58514ecb5e3  fedora/SOURCES/pycdio-0.15.tar.gz

rpmlint is quiet

spec file is clean legible and in English.

builds in mock 

approved
Comment 9 Jay Greguske 2009-07-28 17:09:58 EDT
Thank you for the review, Dennis!

New Package CVS Request
=======================
Package Name: pycdio
Short Description: A Python interface to the CD Input and Control library
Owners: jgreguske
Branches: F-10 F-11 EL-5
InitialCC: ausil
Comment 10 Dennis Gilmore 2009-07-28 17:53:10 EDT
CVS Done
Comment 11 Fedora Update System 2009-07-29 16:39:05 EDT
pycdio-0.15-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pycdio-0.15-3.fc10
Comment 12 Fedora Update System 2009-07-29 16:40:36 EDT
pycdio-0.15-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pycdio-0.15-3.el5
Comment 13 Fedora Update System 2009-07-29 16:41:43 EDT
pycdio-0.15-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pycdio-0.15-3.fc11
Comment 14 Fedora Update System 2009-07-29 18:58:06 EDT
pycdio-0.15-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pycdio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0155
Comment 15 Fedora Update System 2009-07-31 14:05:49 EDT
pycdio-0.15-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pycdio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8167
Comment 16 Fedora Update System 2009-07-31 14:08:34 EDT
pycdio-0.15-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pycdio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8185
Comment 17 Fedora Update System 2009-08-17 20:25:54 EDT
pycdio-0.15-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-08-18 17:14:10 EDT
pycdio-0.15-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-08-18 17:17:27 EDT
pycdio-0.15-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.